<?php

namespace app\Mappers;

use App\ViewModels\ChameFacil\ChameFacilSenhaResgistrationViewModel\ChameFacilSenhaRegistrationViewModel;

class ChameFacilSenhaMapper {

	public static function getRequestRecepcaoChameFacilSenha(array $data): ChameFacilSenhaRegistrationViewModel {

		$chamefacil_vm = ChameFacilSenhaRegistrationViewModel::builder()->setIdSenha( $data ['senhaId'] )
			->setIdFilaInterna( $data ['filaInternaId'] ?? 0)
			->setIdPet( $data ['petId'] )
			->setIdTutor( $data ['tutorId'] )
			->setIdUnidade( $data ['unidadeId'] )
			->setIdRequisicao( $data ['requisicaoId'] ?? 0)
			->setIdProcedimento($data['procedimentoId'] ?? 0)
			->setIdTipoConvenio($data['tipoConvenioId'] ?? 0)
			->setOperacao( $data ['operacao'] )
			->setSetor( $data ['setor'] )
			->setDataCriacao( $data ['dt_cr'] )
			->setHoraCriacao( $data ['hr_cr'] )
			->setCriadoPor( $data ['usuarioId'] )
			->build();

		return $chamefacil_vm;

	}
	
	
	public static function getRequestRespostaChameFacil(array $data): ChameFacilSenhaRegistrationViewModel {
		
		$chamefacil_vm = ChameFacilSenhaRegistrationViewModel::builder()->setIdSenha( $data ['senhaId'] )
		->setIdFilaInterna( $data ['filaInternaId'] ?? 0)
		->setIdPet( $data ['petId'] )
		->setIdTutor( $data ['tutorId'] )
		->setIdUnidade( $data ['unidadeId'] )
		->setIdRequisicao( $data ['requisicaoId'] ?? 0)
		->setIdProcedimento($data['procedimentoId'] ?? 0)
		->setIdTipoConvenio($data['tipoConvenioId'] ?? 0)
		->setOperacao( $data ['operacao'] )
		->setSetor( $data ['setor'] )
		->setDataCriacao( $data ['dt_cr'] )
		->setHoraCriacao( $data ['hr_cr'] )
		->setCriadoPor( $data ['usuarioId'] )
		->build();
		
		return $chamefacil_vm;
		
	}

}

